/*
 ******************
 *       Punto
 ******************
 * 
 * Objeto de tipo punto
 *
 * Jose Luis Ortigosa Flores
 * 25-sep-2015
 *
 */
#ifndef PUNTO_H
#define PUNTO_H 1

typedef struct _Punto{
    int x;
    int y;
} Punto;

// funcion para comparar puntos con respecto a x
int Punto_cmpX(void* a,void* b);

// funcion para comparar puntos con respecto a y
int Punto_cmpY(void* a,void* b);

// indica si dos puntos son iguales
int Punto_equals(void* a, void* b);

//crea un punto nuevo
Punto* new_Punto(int y, int x);

// libera la memoria
void Punto_free(Punto* p);

// imprime un punto
void Punto_print(void* o);

Punto* Punto_restar(Punto* a, Punto* b);

Punto* Punto_restarAbs(Punto* a, Punto* b);

int Punto_prodEscalar(Punto* a, Punto* b);

double Punto_area(Punto*a, Punto* b);
#endif


